FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202108202025.p0.git.62be5ad.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202108202025.p0.git.62be5ad.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=62be5ad OS_GIT_VERSION=4.6.0-202108202025.p0.git.62be5ad.assembly.stream-62be5ad SOURCE_DATE_EPOCH=1610666911 SOURCE_GIT_COMMIT=62be5add43860fa07b601934dbc1c6de792f0a7e SOURCE_GIT_TAG=62be5add SOURCE_GIT_URL=https://github.com/openshift/sriov-network-device-plugin 

ADD . /usr/src/sriov-network-device-plugin

WORKDIR /usr/src/sriov-network-device-plugin

ENV HTTP_PROXY $http_proxy
ENV HTTPS_PROXY $https_proxy
RUN make clean && \
    make build

FROM openshift/ose-base:v4.6.0.20210820.205426
ENV __doozer=update BUILD_RELEASE=202108202025.p0.git.62be5ad.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202108202025.p0.git.62be5ad.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=62be5ad OS_GIT_VERSION=4.6.0-202108202025.p0.git.62be5ad.assembly.stream-62be5ad SOURCE_DATE_EPOCH=1610666911 SOURCE_GIT_COMMIT=62be5add43860fa07b601934dbc1c6de792f0a7e SOURCE_GIT_TAG=62be5add SOURCE_GIT_URL=https://github.com/openshift/sriov-network-device-plugin 
ENV INSTALL_PKGS "hwdata"
RUN yum install -y $INSTALL_PKGS && \
    rpm -V $INSTALL_PKGS && \
    yum clean all
COPY --from=builder /usr/src/sriov-network-device-plugin/build/sriovdp /usr/bin/
WORKDIR /


ADD ./images/entrypoint.sh /

ENTRYPOINT ["/entrypoint.sh"]

LABEL \
        io.k8s.display-name="SRIOV Network Device Plugin" \
        name="openshift/ose-sriov-network-device-plugin" \
        com.redhat.component="sriov-network-device-plugin-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202108202025.p0.git.62be5ad.assembly.stream" \
        io.openshift.build.commit.id="62be5add43860fa07b601934dbc1c6de792f0a7e" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-device-plugin" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-device-plugin/commit/62be5add43860fa07b601934dbc1c6de792f0a7e" \
        version="v4.6.0"

